# ChangeLog for media-sound/ardour
# Copyright 2000-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/ardour/ChangeLog,v 1.58 2007/02/22 00:48:13 peper Exp $

  22 Feb 2007; Piotr Jaroszyński <peper@gentoo.org> ChangeLog:
  Transition to Manifest2.

  07 Oct 2006; Eldad Zack <eldad@gentoo.org> ardour-0.99.3.ebuild:
  Fixed scons flags for asm optimizations (altivec and sse now set
  FPU_OPTIMIZATION instead of individual flags) and changed use to useq.
  closes bug #139787.

*ardour-0.99.3 (13 May 2006)

  13 May 2006; Eldad Zack <eldad@gentoo.org> ardour-0.99.2.ebuild,
  +ardour-0.99.3.ebuild:
  Version bump, added die clause to scons make.

  13 May 2006; Eldad Zack <eldad@gentoo.org> -files/ardour.aclocal.patch,
  -files/ardour-gcc34.patch, -ardour-0.9_beta30.ebuild:
  Purge old version and unneeded aux files.

  28 Apr 2006; Marien Zwart <marienz@gentoo.org> Manifest:
  Fixing SHA256 digest, pass four

  03 Apr 2006; Mark Loeser <halcy0n@gentoo.org> ardour-0.9_beta30.ebuild,
  ardour-0.99.2.ebuild:
  Fix SRC_URI; bug #127911

*ardour-0.99.2 (21 Feb 2006)

  21 Feb 2006; Eldad Zack <eldad@gentoo.org> +ardour-0.99.2.ebuild:
  Version bump

*ardour-0.99.1 (08 Feb 2006)

  08 Feb 2006; Eldad Zack <eldad@gentoo.org> -ardour-0.9_beta28.ebuild,
  -ardour-0.9_beta29.ebuild, +ardour-0.99.1.ebuild:
  Version bump. Bug #121907. Purged old beta28 and beta29.

  02 Dec 2005; Chris White <chriswhite@gentoo.org>
  -files/ardour-0.99-scons.patch:
  Removing invalid patch, bug #114080.

  26 Sep 2005; Eldad Zack <eldad@gentoo.org> ardour-0.99.ebuild:
  Added BUILD_SSE_OPTIMIZATIONS scons flag. Thanks to Michael Schnake
  <schnake@composition.de>. Bug #107266.

  26 Sep 2005; Eldad Zack <eldad@gentoo.org> -ardour-0.9_beta26.ebuild,
  -ardour-0.9_beta27.ebuild:
  Purged old ebuilds for beta26 and beta27.

*ardour-0.99 (26 Sep 2005)

  26 Sep 2005; Eldad Zack <eldad@gentoo.org> +ardour-0.99.ebuild:
  Version bump. This is the first version that can be marked stable.

  14 Sep 2005; Eldad Zack <eldad@gentoo.org> ardour-0.9_beta30.ebuild:
  Updated to kito's suggestions, added altivec useflag. bug #105726

*ardour-0.9_beta30 (14 Sep 2005)

  14 Sep 2005; Eldad Zack <eldad@gentoo.org> +ardour-0.9_beta30.ebuild:
  Version bump. added sse useflag. bug #105726.

  24 Apr 2005; Eric Shattow <jnc@gentoo.org> ardour-0.9_beta29.ebuild:
  Added debug USE flag.

*ardour-0.9_beta29 (24 Apr 2005)

  24 Apr 2005; Eric Shattow <jnc@gentoo.org> +ardour-0.9_beta29.ebuild:
  Version Bump. Closes #89654. Thanks go to David Bergstein for scons-aware
  ebuild submission.

*ardour-0.9_beta28 (12 Mar 2005)

  12 Mar 2005; Eric Shattow <jnc@gentoo.org> +ardour-0.9_beta28.ebuild:
  Version bump.

*ardour-0.9_beta27 (01 Mar 2005)

  01 Mar 2005; Eric Shattow <jnc@gentoo.org> +ardour-0.9_beta27.ebuild:
  Version bump.

*ardour-0.9_beta26 (11 Feb 2005)

  11 Feb 2005; Rob Holland <tigger@gentoo.org> +ardour-0.9_beta26.ebuild:
  revision bump.

  06 Feb 2005; Eldad Zack <eldad@gentoo.org> -ardour-0.9_beta19-r1.ebuild,
  ardour-0.9_beta24.ebuild:
  Purged beta19. Carried over ~amd64 ~ppc to the latest version which got lost
  in the version bump.

*ardour-0.9_beta24 (03 Feb 2005)

  03 Feb 2005; Eric Shattow <jnc@gentoo.org> +ardour-0.9_beta24.ebuild:
  Version bump. Usability improvements and bugfixes.

*ardour-0.9_beta23 (09 Jan 2005)

  09 Jan 2005; Eric Shattow <jnc@gentoo.org> +ardour-0.9_beta23.ebuild:
  verison bump. many bug fixes.

*ardour-0.9_beta22 (19 Dec 2004)

  19 Dec 2004; Eldad Zack <eldad@gentoo.org> +ardour-0.9_beta22.ebuild:
  Version bump.

  03 Dec 2004; Eldad Zack <eldad@gentoo.org> ardour-0.9_beta19-r1.ebuild:
  Workaround for xorg bug concerning lucida fonts. Closes bug #73056.

  14 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org>
  -ardour-0.9_beta11-r1.ebuild, -ardour-0.9_beta14.ebuild,
  -ardour-0.9_beta16.ebuild, -ardour-0.9_beta17.ebuild,
  -ardour-0.9_beta18-r1.ebuild, -ardour-0.9_beta18-r2.ebuild,
  -ardour-0.9_beta18.ebuild, -ardour-0.9_beta19.ebuild:
  Removing old versions.

*ardour-0.9_beta19-r1 (14 Aug 2004)

  14 Aug 2004; Rob Holland <tigger@gentoo.org> +ardour-0.9_beta19-r1.ebuild:
  Fixed optimisation flags and don't run autoconf as its not needed.

*ardour-0.9_beta19 (13 Aug 2004)

  13 Aug 2004; Jon Hood <squinky86@gentoo.org> ardour-0.9_beta16.ebuild,
  ardour-0.9_beta17.ebuild, ardour-0.9_beta18-r1.ebuild,
  ardour-0.9_beta18-r2.ebuild, ardour-0.9_beta18.ebuild,
  +ardour-0.9_beta19.ebuild:
  Version bump and fix DEPEND irt #60184.

*ardour-0.9_beta18-r2 (26 Jul 2004)

  26 Jul 2004; Rob Holland <tigger@gentoo.org> +ardour-0.9_beta18-r2.ebuild:
  Version bump to 18.4

*ardour-0.9_beta18-r1 (24 Jul 2004)

  24 Jul 2004; Rob Holland <tigger@gentoo.org> +ardour-0.9_beta18-r1.ebuild:
  Version bump and optimisation improvements.

*ardour-0.9_beta18 (21 Jul 2004)

  21 Jul 2004; Eldad Zack <eldad@gentoo.org> +ardour-0.9_beta18.ebuild:
  Version bump. disabled ksi support.

  16 Jul 2004; Eldad Zack <eldad@gentoo.org> +files/ardour-gcc34.patch,
  ardour-0.9_beta17.ebuild:
  GCC 3.4 fix - Thanks to Patrick Dawson <pkdawson@buffalo.edu> for the patch.
  closes #56371.

  09 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  ardour-0.9_beta17.ebuild:
  Fixed jack to not be virtual.

*ardour-0.9_beta17 (07 Jul 2004)

  07 Jul 2004; Eldad Zack <eldad@gentoo.org> +ardour-0.9_beta17.ebuild:
  Version bump.

  27 Jun 2004; Jeremy Huddleston <eradicator@gentoo.org>
  ardour-0.9_beta16.ebuild:
  Stable x86 amd64.

*ardour-0.9_beta16 (13 Jun 2004)

  13 Jun 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +ardour-0.9_beta16.ebuild:
  Version bump closes bug #53491 and fixing jack dependency for bug #53382.

*ardour-0.9_beta14 (25 May 2004)

  25 May 2004; Jon Hood <squinky86@gentoo.org> +ardour-0.9_beta14.ebuild:
  version bump, closes #51929; fix metadata.xml

  10 May 2004; Jeremy Huddleston <eradicator@gentoo.org>
  ardour-0.9_beta11-r1.ebuild:
  QA fixup.  Removed ksi USE flag.

  07 May 2004; Jeremy Huddleston <eradicator@gentoo.org>
  ardour-0.9_beta11-r1.ebuild:
  Stable x86.

  18 Apr 2004; Daniel Ahlberg <aliz@gentoo.org> ardour-0.9_beta11-r1.ebuild:
  Adding amd64 keyword, closing #48151.

*ardour-0.9_beta11-r1 (02 Apr 2004)

  02 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  ardour-0.9_beta10.ebuild, ardour-0.9_beta11-r1.ebuild,
  ardour-0.9_beta11.ebuild:
  Version bump.  -r1 is beta11.2, but portage doesn't like that version string.

  02 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  ardour-0.9_beta10.ebuild, ardour-0.9_beta11.ebuild,
  ardour-0.9_beta2-r1.ebuild, ardour-0.9_beta3.ebuild,
  ardour-0.9_beta5.ebuild, ardour-0.9_beta7.ebuild, ardour-0.9_beta8.ebuild,
  ardour-0.9_beta9.ebuild:
  jack dep is now virtual.  Depend on liblrdf.  See bug #45980.  Removing
  pre beta10 ebuilds.

*ardour-0.9_beta11 (20 Feb 2004)

  20 Feb 2004; rob holland <tigger@gentoo.org> ardour-0.9_beta11.ebuild:
  Version bump

*ardour-0.9_beta10 (16 Feb 2004)

  16 Feb 2004; rob holland <tigger@gentoo.org> ardour-0.9_beta10.ebuild:
  version bump

  12 Feb 2004; Jeremy Huddleston <eradicator@gentoo.org>
  ardour-0.9_beta2-r1.ebuild, ardour-0.9_beta3.ebuild,
  ardour-0.9_beta5.ebuild, ardour-0.9_beta7.ebuild, ardour-0.9_beta8.ebuild,
  ardour-0.9_beta9.ebuild, files/ardour-pthread.patch:
  Updated homepage. Added nomirror. Added patch to fix compilation problem with
  missing signal.h include to close bug #33105 submitted by Arthur Peters
  <amp@singingwizard.org>.

  10 Dec 2003; <torbenh@gentoo.org> ardour-0.9_beta8.ebuild:
  Fixed DEPEND to >= jack-0.91.1

  10 Dec 2003; <torbenh@gentoo.org> ardour-0.9_beta1.ebuild,
  ardour-0.9_beta2.ebuild:
  remove old versions which depended on jack-cvs ebuild

*ardour-0.9_beta8 (07 Nov 2003)

  07 Nov 2003; rob holland <tigger@gentoo.org> ardour-0.9_beta8.ebuild:
  version bump, tidied ebuild a tiny bit

*ardour-0.9_beta7 (27 Oct 2003)

  27 Oct 2003; rob holland <tigger@gentoo.org> ardour-0.9_beta7.ebuild:
  Version bump.

  11 Oct 2003; rob holland <tigger@gentoo.org> :
  Version bump. Removed jack blocker

  25 Sep 2003; rob holland <tigger@gentoo.org> ardour-0.9_beta3.ebuild:
  fixed a dep to be more accurate

  16 Sep 2003; rob holland <tigger@gentoo.org> ardour-0.9_beta3.ebuild:
  fix typo spotted by James Cloos <cloos@jhcloos.com>, resolves #28219

  16 Sep 2003; rob holland <tigger@gentoo.org> ardour-0.9_beta3.ebuild:
  Added a blocking dep for the latest jack as this beta won't compile against it

*ardour-0.9_beta3 (14 Aug 2003)

  14 Aug 2003; rob holland <tigger@gentoo.org> ardour-0.9_beta3.ebuild:
  version bump

*ardour-0.9_beta2-r1 (07 Aug 2003)

  07 Aug 2003; rob holland <tigger@gentoo.org> ardour-0.9_beta2-r1.ebuild,
  metadata.xml:
  allow ardour to build with optimisations. work by torbenh@gentoo.org (ta ;)

*ardour-0.9_beta2 (29 Jun 2003)

  29 Jun 2003; robh <robh@gentoo.org> ardour-0.9_beta2.ebuild:
  Version bump.

*ardour-0.9_beta1 (27 Jun 2003)

  27 Jun 2003; robh <robh@gentoo.org> ardour-0.9_beta1.ebuild:
  Initial version.

